Requisitos de servidor de hosting para instalar LMS Chamilo

Requisitos de servidor de hosting para instalar LMS Chamilo

Cómo cualquier plataforma eLearning, Chamilo tiene unos requerimientos de servidor de hosting para su correcto funcionamiento, conozca a continuación cuales son.

Chamilo puede ser instalado en servidores Windows, Linux, Mac OS X y UNIX indistintamente. Sin embargo, se recomienda el uso de un servidor Linux para una óptima flexibilidad, control remoto y escalabilidad.

Chamilo es principalmente un LMS diseñado para un óptimo funcionamiento en la llamada trilogía AMP:

  • Apache 2.2+
  • MySQL 5.1+ o MariaDB 5+
  • PHP 5.4+ (se recomienda 5.6 para una mayor eficiencia) (el soporte para PHP7 no ha sido probado a fondo)

Para ejecutar Chamilo LMS en su servidor, necesita instalar WAMP, LAMP o MAMP:

  • Para instalar WAMP (AMP en Windows), se recomienda el instalador XAMPP.exe
  • Para instalar LAMP (AMP en Linux), puede utilizar su gestor de paquetes de su distribución preferido (Synaptic, RPMFinder etc.). Por ejemplo, en un servidor Ubuntu, use Shell o Synaptic siguiendo la Ubuntuguide.
  • Para instalar MAMP (AMP en Mac OS X), consulte el sitio web dedicado a MAMP.

Servidor de base de datos MySQL o MariaDB

Necesitará un nombre de usuario y una contraseña que le permitan gestionar y crear una base de datos. Por lo general, la configuración predeterminada en los equipos locales le permitirle conectarse como root con una contraseña vacía. Es MUY RECOMENDADO cambiar la contraseña y definir un usuario con acceso sólo a una base de datos específica. Por favor, consulte la documentación de MySQL o MariaDB para hacerlo.

En cuanto a las dependencias a continuación encuentra un listado detallado.

Dependencias de lado del servidor de hosting Chamilo

  • Apache 2+
  • PHP 5.4 o superior con enlaces MySQL (se recomienda mysqlnd) y extensión php-gd para permitir que Chamilo redimensione las imágenes. Aún no se ha probado con PHP 7.0
  • MySQL 5.1+ o cualquier versión del servidor de base de datos MariaDB
  • Paquete php5-intl (para soporte de comportamiento internacional)
  • php5-imagick
  • php5-curl (sólo requerido para una característica en la herramienta de enlaces y una verificación opcional del instalador)
  • php5-mcrypt (sólo es necesario para una función de la herramienta de encuestas)
  • php5-ldap (sólo se requiere para la conexión a un servidor LDAP)
  • php5-xapian (sólo requerido para indexación y búsqueda de texto completo)

Dependencias de lado del usuario

  • PC con un mínimo de 512 MB o cualquier tableta o smartphone
  • Recomendado un Pentium-I como capacidad mínima del procesador para PCs
  • Funciona en Windows XP (SP3 recomendado) y versiones posteriores, Linux (cualquier versión con una interfaz gráfica), Mac OS (cualquier versión), FreeBSD, Android, iOS.
  • Cualquier navegador moderno (IE8 e inferior *excluido*).
  • Opcional: Flash plugin (sólo es necesario para algunas funciones como el tipo de pregunta de la imagen de la zona activa y la grabadora de audio).
  • Opcional: Capacidad de Java applet (sólo se requiere en caso de no utilizar la versión Flash de la grabadora de audio)

Dependencias de características adicionales – lado del servidor

Chamilo LMS es una suite de software compleja, y algunos de sus componentes sólo funcionarán cuando algunas librerías específicas del lado del servidor estén instaladas. Los nombres de las librerías que se muestran a continuación proceden de una instalación de Debian/Ubuntu, por lo que es posible que tenga que adaptarlas si está instalando en Windows, Mac u otra distribución de Linux.

Por favor, tenga en cuenta que, al igual que para el resto del software libre, NO estamos dando ni implicando ningún tipo de garantía de que esto funcionará en su sistema, ni siquiera en los sistemas Debian/Ubuntu previstos. Debe tomar sus propias precauciones para asegurarse de que todos los componentes sean instalados por un experto en el campo.

  • Chamilo Rapid (ex Oogie(TM))
  • libreoffice
  • Audio recording (generate mp3 from wav)
  • libav-tools
  • libavcodec-extra-53
  • libmp3lame0
  • BigBlueButton videoconference
  • bigbluebutton

¿Necesita un servidor de hosting para Chamilo listo para usar y con soporte especializado? Conozca aquí cómo podemos ayudarle

Imagen: Unsplash / ReptilePod